Subject: bug#58029: 28.2; Struct boundaries ignored by bounds-of-thing-at-point

From: Richard Hopkins <[email-masked]>
Date: Sat, 24 Sep 2022 14:33:41 +0100

On 2022-09-24 13:14, Lars Ingebrigtsen wrote:
> I can reproduce this in Emacs 28.2, but not in Emacs 29, so it looks
> like this has been fixed already.

Thanks for checking, however, I still get the same issue on what I
believe is Emacs 29...

$ src/emacs --version
GNU Emacs 29.0.50
Development version 1556b4376457 on master branch; build date 
2022-09-24.

As this also affects `backward-sexp' etc I was looking into a general
patch, but as it works for you I wonder if I'm running the wrong
version?